%define oname xapian-core
%define major 22
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Open Source Search Engine Library
Name:           xapian
Version:	1.2.6
Release:        %mkrel 2
License:	GPLv2+
Group:		Databases
URL:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	zlib-devel libuuid-devel

%description
Xapian is an Open Source Search Engine Library, released under the 
GPL. It's written in C++, with bindings to allow use from Perl, 
Python, PHP, Java, Tcl, C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications. 
It supports the Probabilistic Information Retrieval model and also 
supports a rich set of boolean query operators.

%files
%{_bindir}/copydatabase
%{_bindir}/delve
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-compact
%{_bindir}/xapian-check
%{_bindir}/xapian-progsrv
%{_bindir}/xapian-tcpsrv
%{_bindir}/xapian-inspect
%{_bindir}/xapian-chert-update
%{_bindir}/xapian-metadata
%{_bindir}/xapian-replicate
%{_bindir}/xapian-replicate-server
%{_mandir}/man1/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		Development/Other
Obsoletes:	%mklibname %{name} 14

%description -n %{libname}
Libraries for %{name}.

%files -n %{libname}
%{_libdir}/libxapian.so.%{major}*

#--------------------------------------------------------------------

%package  -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 14 -d
Obsoletes:	%mklibname %{name} 15 -d

%description -n %{develname}
Header files for %{name}.

%files  -n %{develname}
%{_bindir}/xapian-config
%doc %{_docdir}/%{oname}/
%dir %{_includedir}/xapian
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian/xapian-config-version.cmake
%{_libdir}/cmake/xapian/xapian-config.cmake
%{_libdir}/libxapian.a 
%{_libdir}/libxapian.la

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std



%changelog
* Sun Jul 17 2011 dmorgan <dmorgan> 1.2.6-2.mga2
+ Revision: 125559
- Really fix file list
- Fix file list
- la file is required here

* Sun Jul 17 2011 dmorgan <dmorgan> 1.2.6-1.mga2
+ Revision: 125528
- Fix file lists

  + ennael <ennael>
    - clean spec file
    - update to 1.2.6
    - remove buildroot definition
    - imported package xapian


* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 1.0.4-2mdv2008.1
+ Revision: 106458
- rebuild for new lzma

* Tue Oct 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 103796
- new version

* Sat Oct 13 2007 Funda Wang <fundawang@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 98101
- New version 1.0.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 49834
- own missing file
- new version
- new devel library policy

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 39396
- bump major
- new version

* Tue May 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 29711
- devel package requires library

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 28298
- set buildrequires on zlib-devel
- remove not needed provides
- own missing file
- obsolete older release
- bump major
- new version


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.10-1mdv2007.0
+ Revision: 133906
- new version

* Tue Jan 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.9-2mdv2007.1
+ Revision: 115261
- move xapian-config to the devel package
- remove rpath from binaries
- fix provides
- spec file clean

* Fri Jan 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.9-1mdv2007.1
+ Revision: 107904
- Import xapian

